gtkmm: Gtk::MnemonicAction Class Reference

gtkmm 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::MnemonicAction Class Reference

A Gtk::ShortcutAction that calls Gtk::Widget::mnemonic_activate(). More...

`#include <gtkmm/shortcutaction.h>`

Inheritance diagram for Gtk::MnemonicAction:
[legend]

## Public Member Functions
| MnemonicAction (MnemonicAction&& src) noexcept
MnemonicAction& | operator= (MnemonicAction&& src) noexcept
| ~MnemonicAction () noexcept override
GtkMnemonicAction* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkMnemonicAction* | gobj () const
| Provides access to the underlying C GObject. More...
GtkMnemonicAction* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Public Member Functions inherited from Gtk::ShortcutAction
| ShortcutAction (ShortcutAction&& src) noexcept
ShortcutAction& | operator= (ShortcutAction&& src) noexcept
| ~ShortcutAction () noexcept override
GtkShortcutAction* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkShortcutAction* | gobj () const
| Provides access to the underlying C GObject. More...
GtkShortcutAction* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | to_string () const
| Prints the given action into a human-readable string. More...
bool | activate (Widget& widget, Flags flags=static_cast< Flags >(0), const Glib::VariantBase& args={})
| Activates the action on the widget with the given args. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< MnemonicAction > | get ()
| Gets the mnemonic action. More...
Static Public Member Functions inherited from Gtk::ShortcutAction
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< ShortcutAction > | parse_string (const Glib::ustring&string)
| Tries to parse the given string into an action. More...

## Protected Member Functions
| MnemonicAction ()
Protected Member Functions inherited from Gtk::ShortcutAction
| ShortcutAction ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::MnemonicAction > | wrap (GtkMnemonicAction* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::ShortcutAction
Glib::RefPtr< Gtk::ShortcutAction > | wrap (GtkShortcutAction* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gtk::ShortcutAction
enum | Flags { Flags::EXCLUSIVE = 1 << 0 }
| List of flags that can be passed to action activation. More...
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

A Gtk::ShortcutAction that calls Gtk::Widget::mnemonic_activate().

## Constructor & Destructor Documentation

Gtk::MnemonicAction::MnemonicAction | ( | MnemonicAction&& | src | ) |
| noexcept

Gtk::MnemonicAction::~MnemonicAction | ( |  | ) |
| overridenoexcept

Gtk::MnemonicAction::MnemonicAction | ( |  | ) |
| protected

## Member Function Documentation

static Glib::RefPtr<MnemonicAction> Gtk::MnemonicAction::get | ( |  | ) |
| static

Gets the mnemonic action.

This is an action that calls Gtk::Widget::mnemonic_activate() on the given widget upon activation.

Returns
  The mnemonic action.

static GType Gtk::MnemonicAction::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkMnemonicAction* Gtk::MnemonicAction::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkMnemonicAction* Gtk::MnemonicAction::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkMnemonicAction* Gtk::MnemonicAction::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

MnemonicAction& Gtk::MnemonicAction::operator= | ( | MnemonicAction&& | src | ) |
| noexcept

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::MnemonicAction > wrap | ( | GtkMnemonicAction * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.